Complete OAuth connection
Complete a code-based OAuth attempt and store the resulting credential.
POST
/api/integration/attempt/{attemptID}/completePath parameters
attemptIDstringrequiredQuery parameters
locationobject | anyRequest body
requiredapplication/jsoncodestring | anyShow propertiesHide properties
Any of:
string
stringany
anyResponses
204<No Content>
400InvalidRequestError
Any of:
InvalidRequestError1
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
anyInvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X POST "/api/integration/attempt/string/complete" \
-H "Content-Type: application/json" \
-d '{
"code": "string"
}'const response = await fetch("/api/integration/attempt/string/complete", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"code": "string"
})
});import requests
response = requests.post(
"/api/integration/attempt/string/complete",
headers={
"Content-Type": "application/json"
},
json={
"code": "string"
},
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}